<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
    	
    <storageModule moduleId="org.eclipse.cdt.core.settings">
        		
        <cconfiguration id="cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680" moduleId="org.eclipse.cdt.core.settings" name="Debug">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="org.eclipse.cdt.core.PE" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680" name="Debug" parent="cdt.managedbuild.config.gnu.mingw.exe.debug">
                    					
                    <folderInfo id="cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680." name="/" resourcePath="">
                        						
                        <toolChain id="cdt.managedbuild.toolchain.gnu.mingw.exe.debug.1855252090" name="MinGW GCC" superClass="cdt.managedbuild.toolchain.gnu.mingw.exe.debug">
                            							
                            <targetPlatform id="cdt.managedbuild.target.gnu.platform.mingw.exe.debug.1910713914" name="Debug Platform" superClass="cdt.managedbuild.target.gnu.platform.mingw.exe.debug"/>
                            							
                            <builder buildPath="${workspace_loc:/fileHandling}/Debug" id="cdt.managedbuild.tool.gnu.builder.mingw.base.772753273" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="CDT Internal Builder" superClass="cdt.managedbuild.tool.gnu.builder.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.assembler.mingw.exe.debug.142116863" name="GCC Assembler" superClass="cdt.managedbuild.tool.gnu.assembler.mingw.exe.debug">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.165001662" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.archiver.mingw.base.1138592761" name="GCC Archiver" superClass="cdt.managedbuild.tool.gnu.archiver.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.debug.1638987308" name="GCC C++ Compiler" superClass="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.debug">
                                								
                                <option id="gnu.cpp.compiler.mingw.exe.debug.option.optimization.level.1463734454" name="Optimization Level" superClass="gnu.cpp.compiler.mingw.exe.debug.option.optimization.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.optimization.level.none" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.cpp.compiler.debugging.level.max" id="gnu.cpp.compiler.mingw.exe.debug.option.debugging.level.1318647501" name="Debug Level" superClass="gnu.cpp.compiler.mingw.exe.debug.option.debugging.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug.43386096" name="GCC C Compiler" superClass="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="gnu.c.compiler.mingw.exe.debug.option.optimization.level.830023564" name="Optimization Level" superClass="gnu.c.compiler.mingw.exe.debug.option.optimization.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.c.debugging.level.max" id="gnu.c.compiler.mingw.exe.debug.option.debugging.level.101108099" name="Debug Level" superClass="gnu.c.compiler.mingw.exe.debug.option.debugging.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.compiler.input.363161037" superClass="cdt.managedbuild.tool.gnu.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.debug.1529805163" name="MinGW C Linker" superClass="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.debug">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1507449428" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.debug.1305248251" name="MinGW C++ Linker" superClass="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.debug"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    					
                    <sourceEntries>
                        						
                        <entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
                        					
                    </sourceEntries>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        		
        <cconfiguration id="cdt.managedbuild.config.gnu.mingw.exe.release.2066258171">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="cdt.managedbuild.config.gnu.mingw.exe.release.2066258171" moduleId="org.eclipse.cdt.core.settings" name="Release">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="org.eclipse.cdt.core.PE" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="cdt.managedbuild.config.gnu.mingw.exe.release.2066258171" name="Release" parent="cdt.managedbuild.config.gnu.mingw.exe.release">
                    					
                    <folderInfo id="cdt.managedbuild.config.gnu.mingw.exe.release.2066258171." name="/" resourcePath="">
                        						
                        <toolChain id="cdt.managedbuild.toolchain.gnu.mingw.exe.release.1089127632" name="MinGW GCC" superClass="cdt.managedbuild.toolchain.gnu.mingw.exe.release">
                            							
                            <targetPlatform id="cdt.managedbuild.target.gnu.platform.mingw.exe.release.333923418" name="Debug Platform" superClass="cdt.managedbuild.target.gnu.platform.mingw.exe.release"/>
                            							
                            <builder buildPath="${workspace_loc:/fileHandling}/Release" id="cdt.managedbuild.tool.gnu.builder.mingw.base.1152068303" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="CDT Internal Builder" superClass="cdt.managedbuild.tool.gnu.builder.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.assembler.mingw.exe.release.609357192" name="GCC Assembler" superClass="cdt.managedbuild.tool.gnu.assembler.mingw.exe.release">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.1888241184" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.archiver.mingw.base.1386771376" name="GCC Archiver" superClass="cdt.managedbuild.tool.gnu.archiver.mingw.base"/>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.release.61914754" name="GCC C++ Compiler" superClass="cdt.managedbuild.tool.gnu.cpp.compiler.mingw.exe.release">
                                								
                                <option id="gnu.cpp.compiler.mingw.exe.release.option.optimization.level.1500767390" name="Optimization Level" superClass="gnu.cpp.compiler.mingw.exe.release.option.optimization.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.optimization.level.most" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.cpp.compiler.debugging.level.none" id="gnu.cpp.compiler.mingw.exe.release.option.debugging.level.1036393749" name="Debug Level" superClass="gnu.cpp.compiler.mingw.exe.release.option.debugging.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release.986645076" name="GCC C Compiler" superClass="cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.most" id="gnu.c.compiler.mingw.exe.release.option.optimization.level.842171326" name="Optimization Level" superClass="gnu.c.compiler.mingw.exe.release.option.optimization.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                								
                                <option defaultValue="gnu.c.debugging.level.none" id="gnu.c.compiler.mingw.exe.release.option.debugging.level.16112697" name="Debug Level" superClass="gnu.c.compiler.mingw.exe.release.option.debugging.level" useByScannerDiscovery="false" valueType="enumerated"/>
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.compiler.input.1041298738" superClass="cdt.managedbuild.tool.gnu.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.release.1404403411" name="MinGW C Linker" superClass="cdt.managedbuild.tool.gnu.c.linker.mingw.exe.release">
                                								
                                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.987504460" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                							
                            </tool>
                            							
                            <tool id="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.release.196365821" name="MinGW C++ Linker" superClass="cdt.managedbuild.tool.gnu.cpp.linker.mingw.exe.release"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    					
                    <sourceEntries>
                        						
                        <entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
                        					
                    </sourceEntries>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        	
    </storageModule>
    	
    <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        		
        <project id="fileHandling.cdt.managedbuild.target.gnu.mingw.exe.1772471287" name="Executable" projectType="cdt.managedbuild.target.gnu.mingw.exe"/>
        	
    </storageModule>
    	
    <storageModule moduleId="scannerConfiguration">
        		
        <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
        		
        <scannerConfigBuildInfo instanceId="cdt.managedbuild.config.gnu.mingw.exe.release.2066258171;cdt.managedbuild.config.gnu.mingw.exe.release.2066258171.;cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.release.986645076;cdt.managedbuild.tool.gnu.c.compiler.input.1041298738">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680;cdt.managedbuild.config.gnu.mingw.exe.debug.1611830680.;cdt.managedbuild.tool.gnu.c.compiler.mingw.exe.debug.43386096;cdt.managedbuild.tool.gnu.c.compiler.input.363161037">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
            		
        </scannerConfigBuildInfo>
        	
    </storageModule>
    	
    <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
    	
    <storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
    
</cproject>
